-- Database: JutgeITB

-- DROP DATABASE IF EXISTS "JutgeITB";
	
-- CREACIÓN DE TABLAS
CREATE TABLE USUARI (
	id_usuari SERIAL ,
	nom varchar(15) NOT NULL,
	cognom varchar(30) NOT NULL,
	contrasenya varchar(30) NOT NULL,
	problemesResolts varchar(20) [],
	tipusUsuari varchar(15),
	CONSTRAINT PK_USUARI PRIMARY KEY (id_usuari)	
);
CREATE TABLE PROBLEMA (
	id_problema SERIAL ,
	enunciat text NOT NULL,
	jocDeProvesPublic text NOT NULL,
	resultado varchar(30),
	CONSTRAINT PK_PROBLEMA PRIMARY KEY (id_problema)
);
CREATE TABLE INTENT (
	id_problema INT,
	id_usuari INT,
	intents INT,
	dia varchar(20)
);
--AÑADIR CLAVES FORANEAS
ALTER TABLE INTENT ADD CONSTRAINT FK_INTENT_USUARI FOREIGN KEY (id_usuari) 
REFERENCES USUARI (id_usuari);

ALTER TABLE INTENT ADD CONSTRAINT FK_INTENT_PROBLEMA FOREIGN KEY (id_problema)
REFERENCES PROBLEMA (id_problema);

ALTER TABLE JOC_DE_PROVES_PRIVAT ADD CONSTRAINT FK_JOC_DE_PROVES_PRIVAT_PROBLEMA FOREIGN KEY (id_problema)
REFERENCES PROBLEMA (id_problema);

INSERT INTO  USUARI VALUES (DEFAULT, 'PROFESSOR', 'PROFESSOR', 'PROFESSOR', ,'professor')